#include <iostream>
#include <cmath>
#include <iomanip>
using namespace std;

int main()
{
    int n;
    cin>>n;
    int a[n];
    double p[n];
    double br=0;
    for(int i=0;i<n;i++)
    {
        cin>>a[i]>>p[i];
    }
    double maxx=a[0]*p[0]/100;
    for(int i=0;i<n;i++)
    {
        br=0;
        for(int j=0;j<n;j++)
        {
            if(p[j]>=p[i])
            {
                br+=a[j]*p[i]/100;
            }
        }
        if(br>maxx)
        {
            maxx=br;
        }
    }
    cout<<fixed<<setprecision(4);
    cout<<maxx;
    return 0;
}